Merge pull request #139 from bruvv/whoogle-fix

Updated whoogle + jackett + other stuff
This commit is contained in:
Alexandre
2022-01-02 19:34:05 +01:00
committed by GitHub
178 changed files with 505 additions and 338 deletions

6
.github/.gitattributes vendored Normal file
View File

@@ -0,0 +1,6 @@
# Set the default behavior, in case people don't have core.autocrlf set.
* text eol=lf
# Denote all files that are truly binary and should not be modified.
*.png binary
*.jpg binary

0
.gitignore vendored Normal file
View File

View File

@@ -1,5 +1,4 @@
#!/bin/bash
echo "Starting..."
####################
@@ -9,8 +8,8 @@ echo "Starting..."
for SCRIPTS in /scripts/*; do
[ -e "$SCRIPTS" ] || continue
echo "$SCRIPTS: executing"
chown $(id -u):$(id -g) $SCRIPTS
chmod a+x $SCRIPTS
sed -i 's|/usr/bin/with-contenv bashio|/usr/bin/env bashio|g' $SCRIPTS || true
/./$SCRIPTS || echo "$SCRIPTS: exiting $?"
chown "$(id -u)":"$(id -g)" "$SCRIPTS"
chmod a+x "$SCRIPTS"
sed -i 's|/usr/bin/with-contenv bashio|/usr/bin/env bashio|g' "$SCRIPTS" || true
/./"$SCRIPTS" || echo "$SCRIPTS: exiting $?"
done

View File

@@ -1,4 +1,4 @@
#!/bin/bash
#!/bin/bash
# If dockerfile failed install manually
if [ -e "/ENVFILE" ]; then
echo "Executing script"

View File

@@ -1,5 +1,4 @@
#!/bin/bash
echo "Starting..."
####################
@@ -9,8 +8,8 @@ echo "Starting..."
for SCRIPTS in /scripts/*; do
[ -e "$SCRIPTS" ] || continue
echo "$SCRIPTS: executing"
chown $(id -u):$(id -g) $SCRIPTS
chmod a+x $SCRIPTS
sed -i 's|/usr/bin/with-contenv bashio|/usr/bin/env bashio|g' $SCRIPTS || true
/./$SCRIPTS || echo "$SCRIPTS: exiting $?"
chown "$(id -u)":"$(id -g)" "$SCRIPTS"
chmod a+x "$SCRIPTS"
sed -i 's|/usr/bin/with-contenv bashio|/usr/bin/env bashio|g' "$SCRIPTS" || true
/./"$SCRIPTS" || echo "$SCRIPTS: exiting $?"
done

View File

@@ -1,4 +1,4 @@
#!/bin/bash
#!/bin/bash
# If dockerfile failed install manually
if [ -e "/ENVFILE" ]; then
echo "Executing script"

View File

@@ -10,9 +10,9 @@ JSONSOURCE="/data/options.json"
# Export keys as env variables
# echo "All addon options were exported as variables"
mapfile -t arr < <(jq -r 'keys[]' ${JSONSOURCE})
for KEYS in ${arr[@]}; do
for KEYS in "${arr[@]}"; do
# export key
VALUE=$(jq .$KEYS ${JSONSOURCE})
VALUE=$(jq ."$KEYS" ${JSONSOURCE})
line="${KEYS}=${VALUE//[\"\']/}"
# Use locally
if ! bashio::config.false "verbose"; then bashio::log.blue "$line"; fi
@@ -26,8 +26,9 @@ done
# Set timezone #
################
if [ ! -z "TZ" ] && [ -f /etc/localtime ]; then
if [ -f /usr/share/zoneinfo/$TZ ]; then
if [ -f /usr/share/zoneinfo/"$TZ" ]; then
echo "Timezone set from $(cat /etc/timezone) to $TZ"
ln -snf /usr/share/zoneinfo/$TZ /etc/localtime && echo $TZ >/etc/timezone
ln -snf /usr/share/zoneinfo/"$TZ" /etc/localtime && echo "$TZ" >/etc/timezone
fi
fi

View File

@@ -1,4 +1,4 @@
#!/bin/bash
#!/bin/bash
# If dockerfile failed install manually
if [ -e "/ENVFILE" ]; then
echo "Executing script"

View File

@@ -6,6 +6,12 @@ if [ ! -d /share/storage/movies ]; then
chown -R abc:abc /share/storage/movies
fi
if [ ! -d /share/storage/tv ]; then
echo "Creating /share/storage/tv"
mkdir -p /share/storage/tv
chown -R abc:abc /share/storage/tv
fi
if [ ! -d /share/downloads ]; then
echo "Creating /share/downloads"
mkdir -p /share/downloads

Binary file not shown.

Before

Width:  |  Height:  |  Size: 8.7 KiB

After

Width:  |  Height:  |  Size: 6.8 KiB

Binary file not shown.

Before

Width:  |  Height:  |  Size: 8.7 KiB

After

Width:  |  Height:  |  Size: 6.8 KiB

View File

@@ -1,4 +1,4 @@
#!/bin/bash
#!/bin/bash
# If dockerfile failed install manually
if [ -e "/ENVFILE" ]; then
echo "Executing script"

Binary file not shown.

Before

Width:  |  Height:  |  Size: 39 KiB

After

Width:  |  Height:  |  Size: 38 KiB

Binary file not shown.

Before

Width:  |  Height:  |  Size: 39 KiB

After

Width:  |  Height:  |  Size: 38 KiB

View File

@@ -1,4 +1,4 @@
#!/bin/bash
#!/bin/bash
# If dockerfile failed install manually
if [ -e "/ENVFILE" ]; then
echo "Executing script"

View File

@@ -1,5 +1,4 @@
#!/bin/bash
echo "Starting..."
####################
@@ -9,8 +8,8 @@ echo "Starting..."
for SCRIPTS in /scripts/*; do
[ -e "$SCRIPTS" ] || continue
echo "$SCRIPTS: executing"
chown $(id -u):$(id -g) $SCRIPTS
chmod a+x $SCRIPTS
sed -i 's|/usr/bin/with-contenv bashio|/usr/bin/env bashio|g' $SCRIPTS || true
/./$SCRIPTS || echo "$SCRIPTS: exiting $?"
chown "$(id -u)":"$(id -g)" "$SCRIPTS"
chmod a+x "$SCRIPTS"
sed -i 's|/usr/bin/with-contenv bashio|/usr/bin/env bashio|g' "$SCRIPTS" || true
/./"$SCRIPTS" || echo "$SCRIPTS: exiting $?"
done

View File

@@ -1,4 +1,4 @@
#!/bin/bash
#!/bin/bash
# If dockerfile failed install manually
if [ -e "/ENVFILE" ]; then
echo "Executing script"

Binary file not shown.

Before

Width:  |  Height:  |  Size: 21 KiB

After

Width:  |  Height:  |  Size: 19 KiB

Binary file not shown.

Before

Width:  |  Height:  |  Size: 21 KiB

After

Width:  |  Height:  |  Size: 19 KiB

View File

@@ -1,4 +1,4 @@
#!/bin/bash
#!/bin/bash
# If dockerfile failed install manually
if [ -e "/ENVFILE" ]; then
echo "Executing script"

View File

@@ -1,4 +1,4 @@
#!/bin/bash
#!/bin/bash
# If dockerfile failed install manually
if [ -e "/ENVFILE" ]; then
echo "Executing script"

View File

@@ -1,4 +1,4 @@
#!/bin/bash
#!/bin/bash
# If dockerfile failed install manually
if [ -e "/ENVFILE" ]; then
echo "Executing script"

View File

@@ -24,10 +24,18 @@ if [ ! -d /share/emby ]; then
chown -R abc:abc /share/emby
fi
if [ ! -d /config/emby ]; then
echo "Creating /config/emby"
mkdir -p /config/emby
chown -R abc:abc /config/emby
if [ -d /config/emby ] && [ ! -d /config/addons_config/emby ]; then
echo "Moving to new location /config/addons_config/emby"
mkdir -p /config/addons_config/emby
chown -R abc:abc /config/addons_config/emby
mv /config/emby/* /config/addons_config/emby/
rm -r /config/emby
fi
if [ ! -d /config/addons_config/emby ]; then
echo "Creating /config/addons_config/emby"
mkdir -p /config/addons_config/emby
chown -R abc:abc /config/addons_config/emby
fi
# links

Binary file not shown.

Before

Width:  |  Height:  |  Size: 6.3 KiB

After

Width:  |  Height:  |  Size: 2.2 KiB

Binary file not shown.

Before

Width:  |  Height:  |  Size: 6.3 KiB

After

Width:  |  Height:  |  Size: 2.2 KiB

View File

@@ -1,5 +1,4 @@
#!/bin/bash
echo "Starting..."
####################
@@ -9,8 +8,8 @@ echo "Starting..."
for SCRIPTS in /scripts/*; do
[ -e "$SCRIPTS" ] || continue
echo "$SCRIPTS: executing"
chown $(id -u):$(id -g) $SCRIPTS
chmod a+x $SCRIPTS
sed -i 's|/usr/bin/with-contenv bashio|/usr/bin/env bashio|g' $SCRIPTS || true
/./$SCRIPTS || echo "$SCRIPTS: exiting $?"
chown "$(id -u)":"$(id -g)" "$SCRIPTS"
chmod a+x "$SCRIPTS"
sed -i 's|/usr/bin/with-contenv bashio|/usr/bin/env bashio|g' "$SCRIPTS" || true
/./"$SCRIPTS" || echo "$SCRIPTS: exiting $?"
done

View File

@@ -1,4 +1,4 @@
#!/bin/bash
#!/bin/bash
# If dockerfile failed install manually
if [ -e "/ENVFILE" ]; then
echo "Executing script"

Binary file not shown.

Before

Width:  |  Height:  |  Size: 6.3 KiB

After

Width:  |  Height:  |  Size: 2.2 KiB

Binary file not shown.

Before

Width:  |  Height:  |  Size: 6.3 KiB

After

Width:  |  Height:  |  Size: 2.2 KiB

View File

@@ -1,5 +1,4 @@
#!/bin/bash
echo "Starting..."
####################
@@ -9,8 +8,8 @@ echo "Starting..."
for SCRIPTS in /scripts/*; do
[ -e "$SCRIPTS" ] || continue
echo "$SCRIPTS: executing"
chown $(id -u):$(id -g) $SCRIPTS
chmod a+x $SCRIPTS
sed -i 's|/usr/bin/with-contenv bashio|/usr/bin/env bashio|g' $SCRIPTS || true
/./$SCRIPTS || echo "$SCRIPTS: exiting $?"
done
chown "$(id -u)":"$(id -g)" "$SCRIPTS"
chmod a+x "$SCRIPTS"
sed -i 's|/usr/bin/with-contenv bashio|/usr/bin/env bashio|g' "$SCRIPTS" || true
/./"$SCRIPTS" || echo "$SCRIPTS: exiting $?"
done

View File

@@ -1,4 +1,4 @@
#!/bin/bash
#!/bin/bash
# If dockerfile failed install manually
if [ -e "/ENVFILE" ]; then
echo "Executing script"

View File

@@ -10,9 +10,9 @@ JSONSOURCE="/data/options.json"
# Export keys as env variables
# echo "All addon options were exported as variables"
mapfile -t arr < <(jq -r 'keys[]' ${JSONSOURCE})
for KEYS in ${arr[@]}; do
for KEYS in "${arr[@]}"; do
# export key
VALUE=$(jq .$KEYS ${JSONSOURCE})
VALUE=$(jq ."$KEYS" ${JSONSOURCE})
line="${KEYS}=${VALUE//[\"\']/}"
# Use locally
if ! bashio::config.false "verbose"; then bashio::log.blue "$line"; fi
@@ -26,8 +26,9 @@ done
# Set timezone #
################
if [ ! -z "TZ" ] && [ -f /etc/localtime ]; then
if [ -f /usr/share/zoneinfo/$TZ ]; then
if [ -f /usr/share/zoneinfo/"$TZ" ]; then
echo "Timezone set from $(cat /etc/timezone) to $TZ"
ln -snf /usr/share/zoneinfo/$TZ /etc/localtime && echo $TZ >/etc/timezone
ln -snf /usr/share/zoneinfo/"$TZ" /etc/localtime && echo "$TZ" >/etc/timezone
fi
fi

Binary file not shown.

Before

Width:  |  Height:  |  Size: 20 KiB

After

Width:  |  Height:  |  Size: 15 KiB

Binary file not shown.

Before

Width:  |  Height:  |  Size: 20 KiB

After

Width:  |  Height:  |  Size: 15 KiB

View File

@@ -1,5 +1,4 @@
#!/bin/bash
echo "Starting..."
####################
@@ -9,8 +8,8 @@ echo "Starting..."
for SCRIPTS in /scripts/*; do
[ -e "$SCRIPTS" ] || continue
echo "$SCRIPTS: executing"
chown $(id -u):$(id -g) $SCRIPTS
chmod a+x $SCRIPTS
sed -i 's|/usr/bin/with-contenv bashio|/usr/bin/env bashio|g' $SCRIPTS || true
/./$SCRIPTS || echo "$SCRIPTS: exiting $?"
chown "$(id -u)":"$(id -g)" "$SCRIPTS"
chmod a+x "$SCRIPTS"
sed -i 's|/usr/bin/with-contenv bashio|/usr/bin/env bashio|g' "$SCRIPTS" || true
/./"$SCRIPTS" || echo "$SCRIPTS: exiting $?"
done

View File

@@ -1,4 +1,4 @@
#!/bin/bash
#!/bin/bash
# If dockerfile failed install manually
if [ -e "/ENVFILE" ]; then
echo "Executing script"

View File

@@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/with-contenv bashio
if [ -d /config/filebrowser ]; then
echo "Moving to new location /config/addons_config/filebrowser"

Binary file not shown.

Before

Width:  |  Height:  |  Size: 143 KiB

After

Width:  |  Height:  |  Size: 137 KiB

Binary file not shown.

Before

Width:  |  Height:  |  Size: 143 KiB

After

Width:  |  Height:  |  Size: 137 KiB

View File

@@ -1,5 +1,4 @@
#!/bin/bash
echo "Starting..."
####################
@@ -9,8 +8,8 @@ echo "Starting..."
for SCRIPTS in /scripts/*; do
[ -e "$SCRIPTS" ] || continue
echo "$SCRIPTS: executing"
chown $(id -u):$(id -g) $SCRIPTS
chmod a+x $SCRIPTS
sed -i 's|/usr/bin/with-contenv bashio|/usr/bin/env bashio|g' $SCRIPTS || true
/./$SCRIPTS || echo "$SCRIPTS: exiting $?"
chown "$(id -u)":"$(id -g)" "$SCRIPTS"
chmod a+x "$SCRIPTS"
sed -i 's|/usr/bin/with-contenv bashio|/usr/bin/env bashio|g' "$SCRIPTS" || true
/./"$SCRIPTS" || echo "$SCRIPTS: exiting $?"
done

View File

@@ -1,4 +1,4 @@
#!/bin/bash
#!/bin/bash
# If dockerfile failed install manually
if [ -e "/ENVFILE" ]; then
echo "Executing script"

View File

@@ -10,9 +10,9 @@ JSONSOURCE="/data/options.json"
# Export keys as env variables
# echo "All addon options were exported as variables"
mapfile -t arr < <(jq -r 'keys[]' ${JSONSOURCE})
for KEYS in ${arr[@]}; do
for KEYS in "${arr[@]}"; do
# export key
VALUE=$(jq .$KEYS ${JSONSOURCE})
VALUE=$(jq ."$KEYS" ${JSONSOURCE})
line="${KEYS}=${VALUE//[\"\']/}"
# Use locally
if ! bashio::config.false "verbose"; then bashio::log.blue "$line"; fi
@@ -26,8 +26,9 @@ done
# Set timezone #
################
if [ ! -z "TZ" ] && [ -f /etc/localtime ]; then
if [ -f /usr/share/zoneinfo/$TZ ]; then
if [ -f /usr/share/zoneinfo/"$TZ" ]; then
echo "Timezone set from $(cat /etc/timezone) to $TZ"
ln -snf /usr/share/zoneinfo/$TZ /etc/localtime && echo $TZ >/etc/timezone
ln -snf /usr/share/zoneinfo/"$TZ" /etc/localtime && echo "$TZ" >/etc/timezone
fi
fi

Binary file not shown.

Before

Width:  |  Height:  |  Size: 72 KiB

After

Width:  |  Height:  |  Size: 69 KiB

Binary file not shown.

Before

Width:  |  Height:  |  Size: 72 KiB

After

Width:  |  Height:  |  Size: 69 KiB

View File

@@ -1,5 +1,4 @@
#!/bin/bash
echo "Starting..."
####################
@@ -9,8 +8,8 @@ echo "Starting..."
for SCRIPTS in /scripts/*; do
[ -e "$SCRIPTS" ] || continue
echo "$SCRIPTS: executing"
chown $(id -u):$(id -g) $SCRIPTS
chmod a+x $SCRIPTS
sed -i 's|/usr/bin/with-contenv bashio|/usr/bin/env bashio|g' $SCRIPTS || true
/./$SCRIPTS || echo "$SCRIPTS: exiting $?"
chown "$(id -u)":"$(id -g)" "$SCRIPTS"
chmod a+x "$SCRIPTS"
sed -i 's|/usr/bin/with-contenv bashio|/usr/bin/env bashio|g' "$SCRIPTS" || true
/./"$SCRIPTS" || echo "$SCRIPTS: exiting $?"
done

View File

@@ -1,4 +1,4 @@
#!/bin/bash
#!/bin/bash
# If dockerfile failed install manually
if [ -e "/ENVFILE" ]; then
echo "Executing script"

View File

@@ -10,9 +10,9 @@ JSONSOURCE="/data/options.json"
# Export keys as env variables
# echo "All addon options were exported as variables"
mapfile -t arr < <(jq -r 'keys[]' ${JSONSOURCE})
for KEYS in ${arr[@]}; do
for KEYS in "${arr[@]}"; do
# export key
VALUE=$(jq .$KEYS ${JSONSOURCE})
VALUE=$(jq ."$KEYS" ${JSONSOURCE})
line="${KEYS}=${VALUE//[\"\']/}"
# Use locally
if ! bashio::config.false "verbose"; then bashio::log.blue "$line"; fi
@@ -26,8 +26,9 @@ done
# Set timezone #
################
if [ ! -z "TZ" ] && [ -f /etc/localtime ]; then
if [ -f /usr/share/zoneinfo/$TZ ]; then
if [ -f /usr/share/zoneinfo/"$TZ" ]; then
echo "Timezone set from $(cat /etc/timezone) to $TZ"
ln -snf /usr/share/zoneinfo/$TZ /etc/localtime && echo $TZ >/etc/timezone
ln -snf /usr/share/zoneinfo/"$TZ" /etc/localtime && echo "$TZ" >/etc/timezone
fi
fi

Binary file not shown.

Before

Width:  |  Height:  |  Size: 7.4 KiB

After

Width:  |  Height:  |  Size: 5.5 KiB

Binary file not shown.

Before

Width:  |  Height:  |  Size: 7.4 KiB

After

Width:  |  Height:  |  Size: 5.5 KiB

View File

@@ -1,5 +1,4 @@
#!/bin/bash
echo "Starting..."
####################
@@ -9,8 +8,8 @@ echo "Starting..."
for SCRIPTS in /scripts/*; do
[ -e "$SCRIPTS" ] || continue
echo "$SCRIPTS: executing"
chown $(id -u):$(id -g) $SCRIPTS
chmod a+x $SCRIPTS
sed -i 's|/usr/bin/with-contenv bashio|/usr/bin/env bashio|g' $SCRIPTS || true
/./$SCRIPTS || echo "$SCRIPTS: exiting $?"
chown "$(id -u)":"$(id -g)" "$SCRIPTS"
chmod a+x "$SCRIPTS"
sed -i 's|/usr/bin/with-contenv bashio|/usr/bin/env bashio|g' "$SCRIPTS" || true
/./"$SCRIPTS" || echo "$SCRIPTS: exiting $?"
done

View File

@@ -1,4 +1,4 @@
#!/bin/bash
#!/bin/bash
# If dockerfile failed install manually
if [ -e "/ENVFILE" ]; then
echo "Executing script"

Binary file not shown.

Before

Width:  |  Height:  |  Size: 110 KiB

After

Width:  |  Height:  |  Size: 78 KiB

Binary file not shown.

Before

Width:  |  Height:  |  Size: 110 KiB

After

Width:  |  Height:  |  Size: 78 KiB

View File

@@ -1,4 +1,4 @@
#!/bin/bash
#!/bin/bash
# If dockerfile failed install manually
if [ -e "/ENVFILE" ]; then
echo "Executing script"

View File

@@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/with-contenv bashio
slug=flexget

View File

@@ -1,5 +1,4 @@
#!/bin/bash
echo "Starting..."
####################
@@ -9,8 +8,8 @@ echo "Starting..."
for SCRIPTS in /scripts/*; do
[ -e "$SCRIPTS" ] || continue
echo "$SCRIPTS: executing"
chown $(id -u):$(id -g) $SCRIPTS
chmod a+x $SCRIPTS
sed -i 's|/usr/bin/with-contenv bashio|/usr/bin/env bashio|g' $SCRIPTS || true
/./$SCRIPTS || echo "$SCRIPTS: exiting $?"
chown "$(id -u)":"$(id -g)" "$SCRIPTS"
chmod a+x "$SCRIPTS"
sed -i 's|/usr/bin/with-contenv bashio|/usr/bin/env bashio|g' "$SCRIPTS" || true
/./"$SCRIPTS" || echo "$SCRIPTS: exiting $?"
done

View File

@@ -1,4 +1,4 @@
#!/bin/bash
#!/bin/bash
# If dockerfile failed install manually
if [ -e "/ENVFILE" ]; then
echo "Executing script"

Binary file not shown.

Before

Width:  |  Height:  |  Size: 45 KiB

After

Width:  |  Height:  |  Size: 33 KiB

Binary file not shown.

Before

Width:  |  Height:  |  Size: 45 KiB

After

Width:  |  Height:  |  Size: 33 KiB

View File

@@ -1,4 +1,4 @@
#!/bin/bash
#!/bin/bash
# If dockerfile failed install manually
if [ -e "/ENVFILE" ]; then
echo "Executing script"

View File

@@ -1,5 +1,4 @@
#!/bin/bash
echo "Starting..."
####################
@@ -9,8 +8,8 @@ echo "Starting..."
for SCRIPTS in /scripts/*; do
[ -e "$SCRIPTS" ] || continue
echo "$SCRIPTS: executing"
chown $(id -u):$(id -g) $SCRIPTS
chmod a+x $SCRIPTS
sed -i 's|/usr/bin/with-contenv bashio|/usr/bin/env bashio|g' $SCRIPTS || true
/./$SCRIPTS || echo "$SCRIPTS: exiting $?"
chown "$(id -u)":"$(id -g)" "$SCRIPTS"
chmod a+x "$SCRIPTS"
sed -i 's|/usr/bin/with-contenv bashio|/usr/bin/env bashio|g' "$SCRIPTS" || true
/./"$SCRIPTS" || echo "$SCRIPTS: exiting $?"
done

View File

@@ -1,4 +1,4 @@
#!/bin/bash
#!/bin/bash
# If dockerfile failed install manually
if [ -e "/ENVFILE" ]; then
echo "Executing script"

View File

@@ -1,5 +1,4 @@
## 0.20.216 (01-01-2022)
## 0.20.222 (01-01-2022)
- Update to latest version from linuxserver/docker-jackett
- Cleanup: config base folder changed to /config/addons_config (thanks @bruvv)

View File

@@ -22,8 +22,7 @@ FROM ${BUILD_FROM}
##################
# use /data instead of /config for hass.io environment
RUN sed -i "s|/config|/config/addons_config/Jackett|g" /etc/services.d/jackett/run \
&& sed -i "s|/config|/config/addons_config/Jackett|g" /etc/cont-init.d/30-config \
RUN sed -i "s|/config|/config/addons_config/Jackett|g" /etc/cont-init.d/30-config \
\
# Allow UID and GID setting
&& sed -i 's/bash/bashio/g' /etc/cont-init.d/10-adduser \
@@ -31,8 +30,7 @@ RUN sed -i "s|/config|/config/addons_config/Jackett|g" /etc/services.d/jackett/r
&& sed -i 's/{PGID:-911}/(bashio::config "PGID")/g' /etc/cont-init.d/10-adduser
# Changes config directory
ENV XDG_DATA_HOME="/config/addons_config" \
XDG_CONFIG_HOME="/config/addons_config"
ENV XDG_CONFIG_HOME="/config/addons_config"
##################
# 3 Install apps #

View File

@@ -1,4 +1,10 @@
{
{
"name": "Jackett NAS",
"version": "0.20.222",
"slug": "jackett_nas",
"description": "translates queries from apps (Sonarr, SickRage, CouchPotato, Mylar, etc) into tracker-site-specific http queries, parses the html response, then sends results back to the requesting software",
"url": "https://github.com/alexbelgium/hassio-addons/tree/master/jackett",
"apparmor": true,
"arch": [
"aarch64",
"amd64",
@@ -6,7 +12,9 @@
"armhf"
],
"boot": "auto",
"description": "translates queries from apps (Sonarr, SickRage, CouchPotato, Mylar, etc) into tracker-site-specific http queries, parses the html response, then sends results back to the requesting software",
"upstream": "0.20.222",
"startup": "services",
"webui": "http://[HOST]:[PORT:9117]",
"environment": {
"PUID": "0",
"PGID": "0"
@@ -17,7 +25,6 @@
"media:rw",
"ssl"
],
"name": "Jackett NAS",
"options": {
"PUID": 0,
"PGID": 0
@@ -40,11 +47,5 @@
"networkdisks": "str?",
"cifsusername": "str?",
"cifspassword": "str?"
},
"slug": "jackett_nas",
"startup": "services",
"upstream": "0.20.216",
"url": "https://github.com/alexbelgium/hassio-addons",
"version": "0.20.216-2",
"webui": "http://[HOST]:[PORT:9117]"
}
}

View File

@@ -1,4 +1,4 @@
#!/bin/bash
#!/bin/bash
# If dockerfile failed install manually
if [ -e "/ENVFILE" ]; then
echo "Executing script"

View File

@@ -1,11 +1,5 @@
#!/bin/bash
if [ ! -d /share/storage/movies ]; then
echo "Creating /share/storage/movies"
mkdir -p /share/storage/movies
chown -R abc:abc /share/storage/movies
fi
if [ ! -d /share/downloads ]; then
echo "Creating /share/downloads"
mkdir -p /share/downloads
@@ -18,6 +12,7 @@ if [ -d /config/Jackett ] && [ ! -d /config/addons_config/Jackett ]; then
chown -R abc:abc /config/addons_config/Jackett
mv /config/Jackett/* /config/addons_config/Jackett/
rm -r /config/Jackett
rm -r /config/jackett
fi
if [ ! -d /config/addons_config/Jackett ]; then

View File

@@ -26,7 +26,7 @@ if bashio::config.has_value 'networkdisks'; then
for disk in ${MOREDISKS//,/ }; do # Separate comma separated values
# Clean name of network share
disk=$(echo $disk | sed "s,/$,,") # Remove / at end of name
disk=$(echo "$disk" | sed "s,/$,,") # Remove / at end of name
diskname=${disk//\\//} #replace \ with /
diskname=${diskname##*/} # Get only last part of the name
@@ -37,18 +37,18 @@ if bashio::config.has_value 'networkdisks'; then
fi
# Prepare mount point
mkdir -p /mnt/$diskname
chown -R root:root /mnt/$diskname
mkdir -p /mnt/"$diskname"
chown -R root:root /mnt/"$diskname"
#Tries to mount with default options
mount -t cifs -o rw,username=$CIFS_USERNAME,password=${CIFS_PASSWORD}$DOMAIN $disk /mnt/$diskname 2>ERRORCODE && MOUNTED=true || MOUNTED=false
mount -t cifs -o rw,username="$CIFS_USERNAME",password="${CIFS_PASSWORD}""$DOMAIN" "$disk" /mnt/"$diskname" 2>ERRORCODE && MOUNTED=true || MOUNTED=false
# if Fail test different smb and sec versions
if [ $MOUNTED = false ]; then
for SMBVERS in ",vers=3" ",vers=1.0" ",vers=2.1" ",vers=3.0" ",nodfs" ",uid=0,gid=0,forceuid,forcegid" ",noforceuid,noforcegid" ",${DOMAIN:-WORKGROUP}"; do
mount -t cifs -o rw,file_mode=0777,dir_mode=0777,username=$CIFS_USERNAME,password=${CIFS_PASSWORD}$SMBVERS $disk /mnt/$diskname 2>/dev/null && MOUNTED=true && break || MOUNTED=false
mount -t cifs -o rw,file_mode=0777,dir_mode=0777,username="$CIFS_USERNAME",password="${CIFS_PASSWORD}"$SMBVERS "$disk" /mnt/"$diskname" 2>/dev/null && MOUNTED=true && break || MOUNTED=false
for SECVERS in ",sec=ntlmi" ",sec=ntlmv2" ",sec=ntlmv2i" ",sec=ntlmssp" ",sec=ntlmsspi" ",sec=ntlm" ",sec=krb5i" ",sec=krb5" ",iocharset=utf8"; do
mount -t cifs -o rw,file_mode=0777,dir_mode=0777,username=$CIFS_USERNAME,password=${CIFS_PASSWORD}$SMBVERS$SECVERS $disk /mnt/$disk name 2>/dev/null && MOUNTED=true && break 2 && break || MOUNTED=false
mount -t cifs -o rw,file_mode=0777,dir_mode=0777,username="$CIFS_USERNAME",password="${CIFS_PASSWORD}"$SMBVERS$SECVERS "$disk" /mnt/"$disk" name 2>/dev/null && MOUNTED=true && break 2 && break || MOUNTED=false
done
done
fi
@@ -56,7 +56,7 @@ if bashio::config.has_value 'networkdisks'; then
# Messages
if [ $MOUNTED = true ] && [ "mountpoint -q /mnt/$diskname" ]; then
#Test write permissions
touch /mnt/$diskname/testaze && rm /mnt/$diskname/testaze &&
touch /mnt/"$diskname"/testaze && rm /mnt/"$diskname"/testaze &&
bashio::log.info "... $disk successfully mounted to /mnt/$diskname with options $SMBVERS$SECVERS" ||
bashio::log.fatal "Disk is mounted, however unable to write in the shared disk. Please check UID/GID for permissions, and if the share is rw"
@@ -68,15 +68,15 @@ if bashio::config.has_value 'networkdisks'; then
# Provide debugging info
smbclient -V &>/dev/null || apt-get install smbclient || apk add --no-cache samba-client
#smbclient $disk -U $CIFS_USERNAME%$CIFS_PASSWORD || true
smbclient -L $disk -U $CIFS_USERNAME%$CIFS_PASSWORD || true
smbclient -L "$disk" -U "$CIFS_USERNAME"%"$CIFS_PASSWORD" || true
# Error code
bashio::log.fatal "Error read : $(<ERRORCODE)"
rm ERRORCODE
# clean folder
umount /mnt/$diskname 2>/dev/null || true
rmdir /mnt/$diskname || true
umount /mnt/"$diskname" 2>/dev/null || true
rmdir /mnt/"$diskname" || true
fi
done

Binary file not shown.

Before

Width:  |  Height:  |  Size: 29 KiB

After

Width:  |  Height:  |  Size: 29 KiB

Binary file not shown.

Before

Width:  |  Height:  |  Size: 29 KiB

After

Width:  |  Height:  |  Size: 29 KiB

View File

@@ -1,4 +1,4 @@
#!/bin/bash
#!/bin/bash
# If dockerfile failed install manually
if [ -e "/ENVFILE" ]; then
echo "Executing script"

Binary file not shown.

Before

Width:  |  Height:  |  Size: 129 KiB

After

Width:  |  Height:  |  Size: 126 KiB

Binary file not shown.

Before

Width:  |  Height:  |  Size: 129 KiB

After

Width:  |  Height:  |  Size: 126 KiB

View File

@@ -1,5 +1,4 @@
#!/bin/bash
echo "Starting..."
####################
@@ -9,8 +8,8 @@ echo "Starting..."
for SCRIPTS in /scripts/*; do
[ -e "$SCRIPTS" ] || continue
echo "$SCRIPTS: executing"
chown $(id -u):$(id -g) $SCRIPTS
chmod a+x $SCRIPTS
sed -i 's|/usr/bin/with-contenv bashio|/usr/bin/env bashio|g' $SCRIPTS || true
/./$SCRIPTS || echo "$SCRIPTS: exiting $?"
chown "$(id -u)":"$(id -g)" "$SCRIPTS"
chmod a+x "$SCRIPTS"
sed -i 's|/usr/bin/with-contenv bashio|/usr/bin/env bashio|g' "$SCRIPTS" || true
/./"$SCRIPTS" || echo "$SCRIPTS: exiting $?"
done

View File

@@ -1,4 +1,4 @@
#!/bin/bash
#!/bin/bash
# If dockerfile failed install manually
if [ -e "/ENVFILE" ]; then
echo "Executing script"

View File

@@ -1,5 +1,4 @@
#!/bin/bash
echo "Starting..."
####################
@@ -9,8 +8,8 @@ echo "Starting..."
for SCRIPTS in /scripts/*; do
[ -e "$SCRIPTS" ] || continue
echo "$SCRIPTS: executing"
chown $(id -u):$(id -g) $SCRIPTS
chmod a+x $SCRIPTS
sed -i 's|/usr/bin/with-contenv bashio|/usr/bin/env bashio|g' $SCRIPTS || true
/./$SCRIPTS || echo "$SCRIPTS: exiting $?"
chown "$(id -u)":"$(id -g)" "$SCRIPTS"
chmod a+x "$SCRIPTS"
sed -i 's|/usr/bin/with-contenv bashio|/usr/bin/env bashio|g' "$SCRIPTS" || true
/./"$SCRIPTS" || echo "$SCRIPTS: exiting $?"
done

View File

@@ -1,4 +1,4 @@
#!/bin/bash
#!/bin/bash
# If dockerfile failed install manually
if [ -e "/ENVFILE" ]; then
echo "Executing script"

View File

@@ -10,9 +10,9 @@ JSONSOURCE="/data/options.json"
# Export keys as env variables
# echo "All addon options were exported as variables"
mapfile -t arr < <(jq -r 'keys[]' ${JSONSOURCE})
for KEYS in ${arr[@]}; do
for KEYS in "${arr[@]}"; do
# export key
VALUE=$(jq .$KEYS ${JSONSOURCE})
VALUE=$(jq ."$KEYS" ${JSONSOURCE})
line="${KEYS}=${VALUE//[\"\']/}"
# Use locally
if ! bashio::config.false "verbose"; then bashio::log.blue "$line"; fi
@@ -26,8 +26,9 @@ done
# Set timezone #
################
if [ ! -z "TZ" ] && [ -f /etc/localtime ]; then
if [ -f /usr/share/zoneinfo/$TZ ]; then
if [ -f /usr/share/zoneinfo/"$TZ" ]; then
echo "Timezone set from $(cat /etc/timezone) to $TZ"
ln -snf /usr/share/zoneinfo/$TZ /etc/localtime && echo $TZ >/etc/timezone
ln -snf /usr/share/zoneinfo/"$TZ" /etc/localtime && echo "$TZ" >/etc/timezone
fi
fi

Binary file not shown.

Before

Width:  |  Height:  |  Size: 40 KiB

After

Width:  |  Height:  |  Size: 32 KiB

Binary file not shown.

Before

Width:  |  Height:  |  Size: 40 KiB

After

Width:  |  Height:  |  Size: 32 KiB

View File

@@ -1,4 +1,4 @@
#!/bin/bash
#!/bin/bash
# If dockerfile failed install manually
if [ -e "/ENVFILE" ]; then
echo "Executing script"

View File

@@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/with-contenv bashio
if [ ! -d /share/music ]; then
echo "Creating /share/music"

Binary file not shown.

Before

Width:  |  Height:  |  Size: 7.0 KiB

After

Width:  |  Height:  |  Size: 3.5 KiB

Binary file not shown.

Before

Width:  |  Height:  |  Size: 7.0 KiB

After

Width:  |  Height:  |  Size: 3.5 KiB

View File

@@ -1,4 +1,4 @@
#!/bin/bash
#!/bin/bash
# If dockerfile failed install manually
if [ -e "/ENVFILE" ]; then
echo "Executing script"

View File

@@ -1,4 +1,4 @@
#!/bin/bash
#!/bin/bash
# If dockerfile failed install manually
if [ -e "/ENVFILE" ]; then
echo "Executing script"

View File

@@ -1,4 +1,4 @@
#!/bin/bash
#!/bin/bash
# If dockerfile failed install manually
if [ -e "/ENVFILE" ]; then
echo "Executing script"

Binary file not shown.

Before

Width:  |  Height:  |  Size: 5.3 KiB

After

Width:  |  Height:  |  Size: 3.9 KiB

Binary file not shown.

Before

Width:  |  Height:  |  Size: 5.3 KiB

After

Width:  |  Height:  |  Size: 3.9 KiB

View File

@@ -1,4 +1,4 @@
#!/bin/bash
#!/bin/bash
# If dockerfile failed install manually
if [ -e "/ENVFILE" ]; then
echo "Executing script"

View File

@@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/with-contenv bashio
slug=nzbget

Binary file not shown.

Before

Width:  |  Height:  |  Size: 9.2 KiB

After

Width:  |  Height:  |  Size: 6.2 KiB

Binary file not shown.

Before

Width:  |  Height:  |  Size: 9.2 KiB

After

Width:  |  Height:  |  Size: 6.2 KiB

View File

@@ -1,4 +1,4 @@
#!/bin/bash
#!/bin/bash
# If dockerfile failed install manually
if [ -e "/ENVFILE" ]; then
echo "Executing script"

View File

@@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/with-contenv bashio
slug=ombi

Binary file not shown.

Before

Width:  |  Height:  |  Size: 22 KiB

After

Width:  |  Height:  |  Size: 19 KiB

Binary file not shown.

Before

Width:  |  Height:  |  Size: 22 KiB

After

Width:  |  Height:  |  Size: 19 KiB

View File

@@ -1,4 +1,4 @@
#!/bin/bash
#!/bin/bash
# If dockerfile failed install manually
if [ -e "/ENVFILE" ]; then
echo "Executing script"

View File

@@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/with-contenv bashio
if [ ! -d /data/organizr ]; then
echo "Creating /data/organizr"

Binary file not shown.

Before

Width:  |  Height:  |  Size: 101 KiB

After

Width:  |  Height:  |  Size: 100 KiB

Some files were not shown because too many files have changed in this diff Show More